"""
"""

class Geo_reference:
    """
    assuming projection x,
    datum y
    """

    def __init__(self,
                 xllcorner=None,
                 yllcorner=None,
                 zone=None,
                 NetCDFObject = None):
        if not xllcorner == None:
            self.xllcorner = xllcorner #Easting of lower left corner
        if not yllcorner == None:
            self.yllcorner = yllcorner #Northing of lower left corner
        if not zone == None:
            self.zone = zone
        
        if not NetCDFObject == None:
            self.read_NetCDF(NetCDFObject)
        
    def write_NetCDF(self, outfile):
        outfile.xllcorner = self.xllcorner 
        outfile.yllcorner = self.yllcorner
        outfile.zone = self.zone

        # might add this as well?
        #outfile.false_easting = false_easting
        #outfile.false_northing =false_northing
    
        #outfile.projection = projection
        #outfile.datum = datum
        #outfile.units = units

    def read_NetCDF(self, infile):
        self.xllcorner = infile.xllcorner
        self.yllcorner = infile.yllcorner 
        self.zone = infile.zone
      
        #false_easting = infile.false_easting[0]
        #false_northing = infile.false_northing[0]

    def __repr__(self):
        return "(%f,%f, %i)" % (self.xllcorner,self.yllcorner, self.zone)
    
    def __cmp__(self,other):
        # FIXME (DSG) add a tolerence
        if other is None:
            return 1
        cmp = 0
        if not (self.xllcorner == self.xllcorner):
            cmp = 1
        if not (self.yllcorner == self.yllcorner):
            cmp = 1
        if not (self.zone == self.zone):
            cmp = 1
        return cmp
        
#-----------------------------------------------------------------------

if __name__ == "__main__":
    pass
